%include	/usr/lib/rpm/macros.perl
Summary:	New generation amavis
Summary(pl):	Amavis nowej generacji
Name:		amavis-ng
Version:	0.1.6.4.orig
Release:	0.1
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/amavis/%{name}_%{version}.tar.gz
# Source0-md5:	b3559a910bad4a522a466da3a44e62c6
Patch0:		%{name}-quarantine.patch
URL:		http://amavis.sourceforge.net/
BuildRequires:	perl-Config-IniFiles
BuildRequires:	perl-File-MMagic
BuildRequires:	perl-devel
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	amavisd
Obsoletes:	amavis
Obsoletes:	AMaViS

# optionally used
%define	_noautoreq	'perl(Archive::Tar)' 'perl(Archive::Zip)' 'perl(Compress::Zlib)' 'perl(Convert::TNEF)' 'perl(Convert::UUlib)' 'perl(MIME::Parser)' 'perl(File::Scan)'

%description
AMaViS-ng is a modular rewrite of amavisd and amavis-perl. It scans
email for malicious code inside attachments and archive files,
stopping delivery if malicious code is found. It supports integration
of several third-party virus scanners and integrates nicely into
several MTA setups. Unlike amavis-perl and amavisd, there is no need
for build-time configuration.

%description -l pl
AMaViS-ng to przepisana w sposb modularny wersja projektw amavisd i
amavis-perl. Skanuje poczt elektroniczn na okoliczno gronego kodu
wewntrz zacznikw i archiww, nie pozwalajc na dorczenie w
przypadku wykrycia. Wspiera integracj rnych zewntrznych skanerw
antywirusowych, adnie integruje si z rnymi serwerami pocztowymi.
W przeciwiestwie do amavis-perl i amavisd, nie wymaga konfiguracji w
czasie budowania.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

cd doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_infodir}}
install -d $RPM_BUILD_ROOT/var/spool/amavis-ng/{problems,quarantine}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install etc/amavis.conf $RPM_BUILD_ROOT%{_sysconfdir}
install doc/amavis-ng.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid amavis`" ]; then
	if [ "`getgid amavis`" != "97" ]; then
		echo "Warning: group amavis doesn't have gid=97. Correct this before installing amavis" 1>&2
		exit 1
	fi
else
	echo "adding group amavis GID=97"
	/usr/sbin/groupadd -g 97 -r -f amavis
fi

if [ -n "`id -u amavis 2>/dev/null`" ]; then
	if [ "`id -u amavis`" != "97" ]; then
		echo "Error: user amavis doesn't have uid=97. Correct this before installing amavis." 1>&2
		exit 1
	fi
else
	echo "adding user amavis UID=97"
	/usr/sbin/useradd -u 97 -r -d /var/spool/amavis  -s /bin/false -c "Anti Virus Checker" -g nobody  amavis 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	echo "Removing user amavis"
	/usr/sbin/userdel amavis
	echo "Removing group amavis"
	/usr/sbin/groupdel amavis
fi

%files
%defattr(644,root,root,755)
%doc doc/old/README* doc/ChangeLog doc/RELEASE-NOTES
%attr(755,root,root) %{_bindir}/*
%attr(750,amavis,amavis) /var/spool/amavis-ng
%attr(644,amavis,amavis) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/amavis.conf
%{_infodir}/amavis-ng.info*
%{perl_vendorlib}/AMAVIS.pm
%{perl_vendorlib}/AMAVIS
%{_mandir}/man1/*
